--
-- Author RivalBomb
-- 05.01.2016
--
-- Noisesound Script fr Steyr 8130 SK2 (Tren, Front und Heckfenster, Seitenscheiben und Dachluke)
--


noisesound8130sk2 = {};

function noisesound8130sk2.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function noisesound8130sk2:load(xmlFile)

	if self.isClient then
	--TuereLinks
		self.sampleOpenDoorL = Utils.loadSample(xmlFile, {}, "vehicle.openDoorSound", "Sound/door_open.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseDoorL = Utils.loadSample(xmlFile, {}, "vehicle.closeDoorSound", "Sound/door_close.wav", self.baseDirectory, self.components[1].node);
	--TuereRechts
		self.sampleOpenDoorR = Utils.loadSample(xmlFile, {}, "vehicle.openDoorSound", "Sound/door_open.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseDoorR = Utils.loadSample(xmlFile, {}, "vehicle.closeDoorSound", "Sound/door_close.wav", self.baseDirectory, self.components[1].node);
	--Heckfenster
		self.sampleOpenBack = Utils.loadSample(xmlFile, {}, "vehicle.openBackWindowSound", "Sound/back_open.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseBack = Utils.loadSample(xmlFile, {}, "vehicle.closeBackWindowSound", "Sound/back_close.wav", self.baseDirectory, self.components[1].node);
	--Frontscheibe
		self.sampleOpenFront = Utils.loadSample(xmlFile, {}, "vehicle.openFrontWindowSound", "Sound/back_open.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseFront = Utils.loadSample(xmlFile, {}, "vehicle.closeFrontWindowSound", "Sound/back_close.wav", self.baseDirectory, self.components[1].node);
	--ScheibeRechts
		self.sampleOpenWindowR = Utils.loadSample(xmlFile, {}, "vehicle.openWindowRSound", "Sound/side_open.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseWindowR = Utils.loadSample(xmlFile, {}, "vehicle.closeWindowRSound", "Sound/side_close.wav", self.baseDirectory, self.components[1].node);
	--ScheibeLinks
		self.sampleOpenWindowL = Utils.loadSample(xmlFile, {}, "vehicle.openWindowLSound", "Sound/side_open.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseWindowL = Utils.loadSample(xmlFile, {}, "vehicle.closeWindowLSound", "Sound/side_close.wav", self.baseDirectory, self.components[1].node);
	--DachLuke
		self.sampleOpenUp = Utils.loadSample(xmlFile, {}, "vehicle.openUpSound", "Sound/dach_open.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseUp = Utils.loadSample(xmlFile, {}, "vehicle.closeUpSound", "Sound/dach_close.wav", self.baseDirectory, self.components[1].node);


	end;
end;

function noisesound8130sk2:delete()
	--TuereLinks und TuereRechts
	if self.sampleOpenDoorL ~= nil then
		Utils.deleteSample(self.sampleOpenDoorL);
	end;
	if self.sampleOpenDoorR ~= nil then
		Utils.deleteSample(self.sampleOpenDoorR);
	end;
	if self.sampleCloseDoorL ~= nil then
		Utils.deleteSample(self.sampleCloseDoorL);
	end;
	if self.sampleCloseDoorR ~= nil then
		Utils.deleteSample(self.sampleCloseDoorR);
	end;
	--Heckfenster
	if self.sampleOpenBack ~= nil then
		Utils.deleteSample(self.sampleOpenBack);
	end;
	if self.sampleCloseBack ~= nil then
		Utils.deleteSample(self.sampleCloseBack);
	end;
	--Frontfenster
	if self.sampleOpenFront ~= nil then
		Utils.deleteSample(self.sampleOpenBack);
	end;
	if self.sampleCloseFront ~= nil then
		Utils.deleteSample(self.sampleCloseBack);
	end;
	--ScheibeLinks und ScheibeRechts
	if self.sampleOpenWindowL ~= nil then
		Utils.deleteSample(self.sampleOpenWindowL);
	end;
	if self.sampleOpenWindowR ~= nil then
		Utils.deleteSample(self.sampleOpenWindowR);
	end;
	if self.sampleCloseWindowL ~= nil then
		Utils.deleteSample(self.sampleCloseWindowL);
	end;
	if self.sampleCloseWindowR ~= nil then
		Utils.deleteSample(self.sampleCloseWindowR);
	end;
	--DachLuke
	if self.sampleOpenUp ~= nil then
		Utils.deleteSample(self.sampleOpenUp);
	end;
	if self.sampleCloseUp ~= nil then
		Utils.deleteSample(self.sampleCloseUp);
	end;


end;

function noisesound8130sk2:mouseEvent(posX, posY, isDown, isUp, button)
end;

function noisesound8130sk2:keyEvent(unicode, sym, modifier, isDown)
end;

function noisesound8130sk2:update(dt)
	--TuereLinks
			if self:getIsAnimationPlaying("TuerLinks") then
				if self.animations["TuerLinks"].currentSpeed > 0 then
					if (not Utils.isSamplePlaying(self.sampleOpenDoorL, 1.5*dt) and not Utils.isSamplePlaying(self.sampleCloseDoorL, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleOpenDoorL,1,1,nil);
					end;
				elseif self.animations["TuerLinks"].currentSpeed < 0 then
					if (not Utils.isSamplePlaying(self.sampleCloseDoorL, 1.5*dt) and not Utils.isSamplePlaying(self.sampleOpenDoorL, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleCloseDoorL,1,1,nil);
					end;
				end;
			end;
	--TuereRechts
			if self:getIsAnimationPlaying("TuerRechts") then
				if self.animations["TuerRechts"].currentSpeed > 0 then
					if (not Utils.isSamplePlaying(self.sampleOpenDoorR, 1.5*dt) and not Utils.isSamplePlaying(self.sampleCloseDoorR, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleOpenDoorR,1,1,nil);
					end;
				elseif self.animations["TuerRechts"].currentSpeed < 0 then
					if (not Utils.isSamplePlaying(self.sampleCloseDoorR, 1.5*dt) and not Utils.isSamplePlaying(self.sampleOpenDoorR, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleCloseDoorR,1,1,nil);
					end;
				end;
			end;
	--Heckfenster
			if self:getIsAnimationPlaying("Heckfenster") then
				if self.animations["Heckfenster"].currentSpeed > 0 then
					if (not Utils.isSamplePlaying(self.sampleOpenBack, 1.5*dt) and not Utils.isSamplePlaying(self.sampleCloseBack, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleOpenBack,1,1,nil);
					end;
				elseif self.animations["Heckfenster"].currentSpeed < 0 then
					if (not Utils.isSamplePlaying(self.sampleCloseBack, 1.5*dt) and not Utils.isSamplePlaying(self.sampleOpenBack, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleCloseBack,1,1,nil);
					end;
				end;
			end;
	--Frontfenster		
			if self:getIsAnimationPlaying("Frontscheibe") then
				if self.animations["Frontscheibe"].currentSpeed > 0 then
					if (not Utils.isSamplePlaying(self.sampleOpenBack, 1.5*dt) and not Utils.isSamplePlaying(self.sampleCloseBack, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleOpenBack,1,1,nil);
					end;
				elseif self.animations["Frontscheibe"].currentSpeed < 0 then
					if (not Utils.isSamplePlaying(self.sampleCloseFront, 1.5*dt) and not Utils.isSamplePlaying(self.sampleOpenFront, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleCloseFront,1,1,nil);
					end;
				end;
			end;
			
	--ScheibeLinks
			if self:getIsAnimationPlaying("ScheibeLinks") then
				if self.animations["ScheibeLinks"].currentSpeed > 0 then
					if (not Utils.isSamplePlaying(self.sampleOpenWindowL, 1.5*dt) and not Utils.isSamplePlaying(self.sampleCloseWindowL, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleOpenWindowL,1,1,nil);
					end;
				elseif self.animations["ScheibeLinks"].currentSpeed < 0 then
					if (not Utils.isSamplePlaying(self.sampleCloseWindowL, 1.5*dt) and not Utils.isSamplePlaying(self.sampleOpenWindowL, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleCloseWindowL,1,1,nil);
					end;
				end;
			end;
	--ScheibeRechts
			if self:getIsAnimationPlaying("ScheibeRechts") then
				if self.animations["ScheibeRechts"].currentSpeed > 0 then
					if (not Utils.isSamplePlaying(self.sampleOpenWindowR, 1.5*dt) and not Utils.isSamplePlaying(self.sampleCloseWindowR, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleOpenWindowR,1,1,nil);
					end;
				elseif self.animations["ScheibeRechts"].currentSpeed < 0 then
					if (not Utils.isSamplePlaying(self.sampleCloseWindowR, 1.5*dt) and not Utils.isSamplePlaying(self.sampleOpenWindowR, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleCloseWindowR,1,1,nil);
					end;
				end;
			end;
	--DachLuke
			if self:getIsAnimationPlaying("DachLuke") then
				if self.animations["DachLuke"].currentSpeed > 0 then
					if (not Utils.isSamplePlaying(self.sampleOpenUp, 1.5*dt) and not Utils.isSamplePlaying(self.sampleCloseUp, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleOpenUp,1,1,nil);
					end;
				elseif self.animations["DachLuke"].currentSpeed < 0 then
					if (not Utils.isSamplePlaying(self.sampleCloseUp, 1.5*dt) and not Utils.isSamplePlaying(self.sampleOpenUp, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleCloseUp,1,1,nil);
					end;
				end;
			end;


		end;

function noisesound8130sk2:updateTick(dt)
end;

function noisesound8130sk2:draw()	
end;